### RAexamp1.R
library(CarbUtils)

### Go from P to tz

P2tz <- function(P) {
  log(P/(1 - P))
}

### Time-course due to 8:00 exposure
### Times from 8 to 24, every 10 minutes
x1 <- seq(8,24,by=1/6)
### Times from 11 to 24, every 10 minutes
x2 <- seq(11,24,by=1/6)
### Times from 12 to 24, every 10 minutes
x3 <- seq(12,24,by=1/6)

### Inhibition fractions due to first exposure

y1a <- tcminhfn(1/70,x1 - 8,P2tz(0.3),lD=log(300),lg=0,lTr=log(0.75),lTmax=log(0.25))
y1b <- tcminhfn(0.5/70,x1 - 8,P2tz(0.3),lD=log(150),lg=0,lTr=log(1.5),lTmax=log(0.25))
y1c <- tcminhfn(0.02/70,x1 - 8,P2tz(0.3),lD=log(100),lg=0,lTr=log(1.25),lTmax=log(0.25))

y1 <- y1a + y1b + y1c
### Make a postscript file for the example, but not everyone using windows can read
### a postscript file 
### postscript(file="RAexamp1.ps",width=3,height=3,pointsize=10,horizontal=FALSE)
par(las=1,mar=c(5,5,0,0)+.1)

plot(x1,y1a,type="l",xlab="Time of Day (24 hour clock)",ylab="",
     ylim=c(0,1.5e-05),
     xlim=c(0,24),col="red",yaxt="n")
lines(x1,y1b,col="blue")
lines(x1,y1c,col="green")
## lines(x1,y1)

### Inhibition fractions due to second exposure, at 11:00

Act <- 1 - tcminhfn(1/70,11 - 8,P2tz(0.3),lD=log(300),lg=0,lTr=log(0.75),lTmax=log(0.25)) -
  tcminhfn(0.5/70,11 - 8,P2tz(0.3),lD=log(150),lg=0,lTr=log(1.5),lTmax=log(0.25)) -
  tcminhfn(0.02/70,11 - 8,P2tz(0.3),lD=log(100),lg=0,lTr=log(1.25),lTmax=log(0.25))
y2b <- Act*tcminhfn(0.1/70,x2-11,P2tz(0.3),lD=log(150),lg=0,lTr=log(1.5),lTmax=log(0.25))

y2 <- y1
y2[x1 >=11] <- y2[x1 >= 11] + y2b

lines(x2,y2b,col="blue")
## lines(x1,y2,col="red")

Act <- 1 - y2[x1 == 12]

y3 <- y2

y3a <- Act*tcminhfn(2/70,x3 - 12,P2tz(0.3),lD=log(300),lg=0,lTr=log(0.75),lTmax=log(0.25))
y3b <- Act*tcminhfn(0.2/70,x3 - 12,P2tz(0.3),lD=log(150),lg=0,lTr=log(1.5),lTmax=log(0.25))
y3c <- Act*tcminhfn(0.1/70,x3 - 12,P2tz(0.3),lD=log(100),lg=0,lTr=log(1.25),lTmax=log(0.25))
y3abc <- y3a + y3b + y3c

y3[x1 >= 12] <- y3[x1 >= 12] + y3abc

lines(x3,y3a,col="red")
lines(x3,y3b,col="blue")
lines(x3,y3c,col="green")

lines(x1,y3)
axis(2,at=c(0,5e-6,1e-5,1.5e-5),
     labels=expression(0,5 %*% 10^-6,1 %*% 10^-5, 1.5 %*% 10^-5),las=1
     )
mtext("Fractional AChE Inhibition",side=2,line=4,las=0)
### Don't close the Windows device or x11()
### dev.off()

